package com.ruoyi.system.service;

import com.ruoyi.system.domain.ForgetPassword;

import java.util.List;

/**
 * 忘记密码申请Service接口
 * 
 * @author ruoyi
 * @date 2022-11-03
 */
public interface IForgetPasswordService 
{
    /**
     * 查询忘记密码申请
     * 
     * @param pId 忘记密码申请ID
     * @return 忘记密码申请
     */
    public ForgetPassword selectForgetPasswordById(Long pId);

    /**
     * 查询忘记密码申请列表
     * 
     * @param forgetPassword 忘记密码申请
     * @return 忘记密码申请集合
     */
    public List<ForgetPassword> selectForgetPasswordList(ForgetPassword forgetPassword);

    /**
     * 新增忘记密码申请
     * 
     * @param forgetPassword 忘记密码申请
     * @return 结果
     */
    public int insertForgetPassword(ForgetPassword forgetPassword);

    /**
     * 修改忘记密码申请
     * 
     * @param forgetPassword 忘记密码申请
     * @return 结果
     */
    public int updateForgetPassword(ForgetPassword forgetPassword);

    /**
     * 批量删除忘记密码申请
     * 
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    public int deleteForgetPasswordByIds(String ids);

    /**
     * 删除忘记密码申请信息
     * 
     * @param pId 忘记密码申请ID
     * @return 结果
     */
    public int deleteForgetPasswordById(Long pId);
}
